public static interface CoAPEndpointBuilderFactory.CoAPBuilders
| Modifier and Type | Method and Description |
|---|---|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder |
coap(String path)
CoAP (camel-coap)
Send and receive messages to/from COAP capable devices.
|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder |
coap(String componentName,
String path)
CoAP (camel-coap)
Send and receive messages to/from COAP capable devices.
|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder |
coaps(String path)
CoAP (Secure) (camel-coap)
Send and receive messages to/from COAP capable devices.
|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder |
coapsTcp(String path)
CoAP (camel-coap)
Send and receive messages to/from COAP capable devices.
|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder |
coapTcp(String path)
CoAP (camel-coap)
Send and receive messages to/from COAP capable devices.
|
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coap(String path)
coap:uri
Path parameter: uri
The URI for the CoAP endpointpath - uridefault CoAPEndpointBuilderFactory.CoAPEndpointBuilder coap(String componentName, String path)
coap:uri
Path parameter: uri
The URI for the CoAP endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - uridefault CoAPEndpointBuilderFactory.CoAPEndpointBuilder coapTcp(String path)
coap+tcp:uri
Path parameter: uri
The URI for the CoAP endpointpath - uridefault CoAPEndpointBuilderFactory.CoAPEndpointBuilder coaps(String path)
coaps:uri
Path parameter: uri
The URI for the CoAP endpointpath - uridefault CoAPEndpointBuilderFactory.CoAPEndpointBuilder coapsTcp(String path)
coaps+tcp:uri
Path parameter: uri
The URI for the CoAP endpointpath - uriApache Camel